import request from "../request.js";

export const getInventoryManagement = (params) => {
  return request({
    url: "/inventory_management",
    method: "get",
    params,
  });
};
export const addInventoryManagement = (data) => {
  return request({
    url: "/inventory_management",
    method: "post",
    data,
  });
};

export const getInventoryManagementById = (id) => {
  return request({
    url: `/inventory_management/${id}`,
    method: "get",
  });
};
export const deleteInventoryManagement = (id) => {
  return request({
    url: `/inventory_management/${id}`,
    method: "delete",
  });
};
export const updateInventoryManagement = (data) => {
  return request({
    url: `/inventory_management/${data.id}`,
    method: "put",
    data,
  });
};
