import request from "../request.js";

export const getProjectBaseInfo = (params) => {
  return request({
    url: "/project_base_info",
    method: "get",
    params,
  });
};
export const addProjectBaseInfo = (data) => {
  return request({
    url: "/project_base_info",
    method: "post",
    data,
  });
};

export const getProjectBaseInfoById = (id) => {
  return request({
    url: `/project_base_info/${id}`,
    method: "get",
  });
};
export const deleteProjectBaseInfo = (id) => {
  return request({
    url: `/project_base_info/${id}`,
    method: "delete",
  });
};
export const updateProjectBaseInfo = (data) => {
  return request({
    url: `/project_base_info/${data.id}`,
    method: "put",
    data,
  });
};
